
(*
AppleScript that create both large and thumbnails with the thumbnail not watermarked.

create resized image in two sizes
		 Larger image 1024 x 768 with metadata and 
             thumbnail 256 x 256 (with no metadata) prefixed with "thumb_"
			 
Assume you have setup other settings in iWatermark Pro as you desire :
ie.
	- Renaming format for output name has to uses "Prefix" tag. We set the prefix to "thumb_"
	- selected input files, 
	- watermark to use, 
	- the output format
	- and any option not list below:

The script change the JPG Quality to 85 for Large images
The script change the JPG Quality to 65 for Thumbnail images
Output strucutre to Flat folders.
Rename prefix to "Thumb_" 

Turn on / off Watermarking based on Large or thumbnail.

Turn  on Save Metadata and remove GPS  data (GEO location) for large images.
Turn  Off Save Metadata and remove GPS data is still on for thumbnail images.

Set DPI for large images to 300 dpi
set dpi for thumbnail to 72 dpi


*)

tell application "iWatermark Pro"
	
	set jpg quality to 85
	set progressive JPG to 1
	
	set output Structure to 9 -- place images in folder with watermark name.
	set output Structure to 0 -- Flat -- use output folder.
	
	
	-- set use input creation dates to 1
	
	-- Thumbnail options --
	set create thumbnails to 0
	
	-- Resize options --
	set Resizing to 1
	set Resize Height to 800
	set Resize Width to 1280
	set Resizing Method to 0
	
	-- adjust the DPI for large image.
	set Resampling to 1
	set Resample DPI to 300
	
	set create history file to 0
	
	-- Metadata Options IPTC/XMP --
	--set adding IPTC meta data to 0
	set remove GEO location to 0
	set save Metadata to 1
	
	set use input creation dates to 1
	
	-- watermark selection options --
	set watermarking to 1
	
	-- Rename options --
	set output renamed to 1
	set rename Extension to "jpg"
	set rename Lowercase Ext to 1
	set rename Prefix to ""
	
	get Current Status
	
	-- check if anything to process if so process it.
	if (get input count > 0) then
		
		-- display dialog "full size"
		
		-- OPTIONAL: bring iwatermark to front to see progress.
		activate
		start Processing "Processing full size images"
		get Current Status
		
		
		-- wait for input full size to be processed.
		-- Feature request: Applescript status: isComplatedInputScan and isCompletedOutput
		
		repeat while ((Current Status) does not start with "Ready to process") and ((Current Status) does not start with "Finished") and ((Current Status) does not start with "Total time")
			get Current Status
			delay 1
		end repeat
		
		-- display dialog "thumbnails" with button
		
		---------------------------------
		-- create thumbails fit in 256 x 256
		-- No Meta data copied.
		set rename Prefix to "thumb_"
		set jpg quality to 65
		
		
		set save Metadata to 0
		set Resizing to 1
		
		set watermarking to 0 -- turn off watermarking. Output will be in "No Watermark"
		
		set Resize Height to 256
		set Resize Width to 256
		set Resizing Method to 0
		-- adjust the DPI for large image.
		set Resampling to 1
		set Resample DPI to 72
		
		activate
		start Processing "processing thumbnails size images from AppleScript"
		
	else
		display dialog "No files found to process, please setup input files and output folder"
	end if
	
end tell

